Proxmox/setup/meshcentral-install.sh
tteckster fca2fcf970
Correct Spelling (#360)
* Update adguard-install.sh

* Update daemonsync-install.sh

* Update dashy-install.sh

* Update debian-install.sh

* Update deconz-install.sh

* Update docker-install.sh

* Update esphome-install.sh

* Update grafana-install.sh

* Update heimdalldashboard-install.sh

* Update homeassistant-install.sh

* Update homebridge-install.sh

* Update influxdb-install.sh

* Update iobroker-install.sh

* Update jellyfin-install.sh

* Update keycloak-install.sh

* Update magicmirror-install.sh

* Update mariadb-install.sh

* Update meshcentral-install.sh

* Update motioneye-install.sh

* Update mqtt-install.sh

* Update nginx-proxy-manager-install.sh

* Update nocodb-install.sh

* Update node-red-install.sh

* Update omada-install.sh

* Update openhab-install.sh

* Update photoprism-install.sh

* Update pihole-install.sh

* Update plex-install.sh

* Update podman-homeassistant-install.sh

* Update postgresql-install.sh

* Update prometheus-install.sh

* Update technitiumdns-install.sh

* Update ubuntu-install.sh

* Update unifi-install.sh

* Update uptimekuma-install.sh

* Update vaultwarden-install.sh

* Update whoogle-install.sh

* Update wireguard-install.sh

* Update zigbee2mqtt-install.sh

* Update zwavejs2mqtt-install.sh

* Update adguard-v3.sh

* Update create_lxc.sh

* Update daemonsync-v3.sh

* Update dashy-v3.sh

* Update debian-v3.sh

* Update deconz-v3.sh

* Update docker-v3.sh

* Update esphome-v3.sh

* Update grafana-v3.sh

* Update heimdalldashboard-v3.sh

* Update homeassistant-v3.sh

* Update homebridge-v3.sh

* Update influxdb-v3.sh

* Update iobroker-v3.sh

* Update jellyfin-v3.sh

* Update keycloak-v3.sh

* Update magicmirror-v3.sh

* Update mariadb-v3.sh

* Update meshcentral-v3.sh

* Update motioneye-v3.sh

* Update mqtt-v3.sh

* Update nginx-proxy-manager-v3.sh

* Update nocodb-v3.sh

* Update node-red-v3.sh

* Update omada-v3.sh

* Update openhab-v3.sh

* Update photoprism-v3.sh

* Update pihole-v3.sh

* Update plex-v3.sh

* Update podman-homeassistant-v3.sh

* Update postgresql-v3.sh

* Update prometheus-v3.sh

* Update technitiumdns-v3.sh

* Update ubuntu-v3.sh

* Update unifi-v3.sh

* Update uptimekuma-v3.sh

* Update vaultwarden-v3.sh

* Update whoogle-v3.sh

* Update wireguard-v3.sh

* Update zigbee2mqtt-v3.sh

* Update zwavejs2mqtt-v3.sh
2022-07-20 06:10:39 -04:00

105 lines
2.5 KiB
Bash

#!/usr/bin/env bash
YW=`echo "\033[33m"`
RD=`echo "\033[01;31m"`
BL=`echo "\033[36m"`
GN=`echo "\033[1;92m"`
CL=`echo "\033[m"`
RETRY_NUM=10
RETRY_EVERY=3
NUM=$RETRY_NUM
CM="${GN}${CL}"
CROSS="${RD}${CL}"
BFR="\\r\\033[K"
HOLD="-"
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR
function error_exit() {
trap - ERR
local reason="Unknown failure occurred."
local msg="${1:-$reason}"
local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
echo -e "$flag $msg" 1>&2
exit $EXIT
}
function msg_info() {
local msg="$1"
echo -ne " ${HOLD} ${YW}${msg}..."
}
function msg_ok() {
local msg="$1"
echo -e "${BFR} ${CM} ${GN}${msg}${CL}"
}
msg_info "Setting up Container OS "
sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
locale-gen >/dev/null
while [ "$(hostname -I)" = "" ]; do
1>&2 echo -en "${CROSS}${RD} No Network! "
sleep $RETRY_EVERY
((NUM--))
if [ $NUM -eq 0 ]
then
1>&2 echo -e "${CROSS}${RD} No Network After $RETRY_NUM Tries${CL}"
exit 1
fi
done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
msg_info "Updating Container OS"
apt update &>/dev/null
apt-get -qqy upgrade &>/dev/null
msg_ok "Updated Container OS"
msg_info "Installing Dependencies"
apt-get install -y curl &>/dev/null
apt-get install -y sudo &>/dev/null
msg_ok "Installed Dependencies"
msg_info "Setting up Node.js Repository"
sudo curl -sL https://deb.nodesource.com/setup_16.x | sudo -E bash - &>/dev/null
msg_ok "Set up Node.js Repository"
msg_info "Installing Node.js"
apt-get install -y nodejs &>/dev/null
msg_ok "Installed Node.js"
msg_info "Installing MeshCentral"
mkdir /opt/meshcentral
cd /opt/meshcentral
npm install meshcentral &>/dev/null
node node_modules/meshcentral --install &>/dev/null
msg_ok "Installed MeshCentral"
PASS=$(grep -w "root" /etc/shadow | cut -b6);
if [[ $PASS != $ ]]; then
msg_info "Customizing Container"
rm /etc/motd
rm /etc/update-motd.d/10-uname
touch ~/.hushlogin
GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
mkdir -p $(dirname $GETTY_OVERRIDE)
cat << EOF > $GETTY_OVERRIDE
[Service]
ExecStart=
ExecStart=-/sbin/agetty --autologin root --noclear --keep-baud tty%I 115200,38400,9600 \$TERM
EOF
systemctl daemon-reload
systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
msg_ok "Customized Container"
fi
msg_info "Cleaning up"
apt-get autoremove >/dev/null
apt-get autoclean >/dev/null
rm -rf /var/{cache,log}/* /var/lib/apt/lists/*
msg_ok "Cleaned"